%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Data-Flow
Version:       1.02
Release:       5mamba
Summary:       Data::Flow - Perl extension for simple-minded recipe-controlled build of data
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/I/IL/ILYAZ/modules/Data-Flow-%{version}.tar.gz
License:       GPL
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
Perl extension for simple-minded recipe-controlled build of data

%prep
%setup -q -n Data-Flow-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)

%changelog
* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 1.02-5mamba
- automatic rebuild by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.02-4mamba
- perl 5.16 mass rebuild

* Sun Jul 01 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.02-3mamba
- updated maintainer

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.02-2mamba
- automatic rebuild by autodist

* Thu Jun 12 2008 Tiziana Ferro <tiziana.ferro@email.it> 1.02-1mamba
- update to 1.02

* Fri Nov 19 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 0.09-1qilnx
- package created by autospec
